@ECHO OFF
SET ANDROIDJAR="c:\Program Files (x86)\Android\android-sdk\platforms\android-7\android.jar"

RMDIR /S /Q bin
RMDIR /S /Q gen

mkdir bin\classes
mkdir gen 
echo "aapt"
aapt package -f -M AndroidManifest.xml -I %ANDROIDJAR% -S res -F bin\hello-gpcp.res -m -J gen

@XCOPY /I /S /Y CP bin\classes\CP > NUL

echo "dx"
CALL dx --dex --output=bin\classes.dex --verbose bin\classes

echo "apkbuilder"
:: http://unity3d.ru/distribution/viewtopic.php?f=20&t=27103
CALL apkbuilder %CD%\bin\hello-gpcp-unsigned.apk -u -z %CD%\bin\hello-gpcp.res -f %CD%\bin\classes.dex

echo "jarsigner"
:: http://developer.android.com/tools/publishing/app-signing.html
:: http://4pda.ru/forum/index.php?showtopic=501366
:: http://c2community.ru/forum/viewtopic.php?f=4&t=625
:: http://khpi-iip.mipk.kharkiv.edu/library/extent/prog/jar/sign_signing.html
::jarsigner -keystore d:\WIN32APP\Dev\Android\my-release-key.keystore -storepass android -signedjar bin\hello-gpcp.apk bin\hello-gpcp-unsigned.apk my-release-key

jarsigner -verbose -sigalg SHA1withRSA -digestalg SHA1 -keystore d:\WIN32APP\Dev\Android\my-release-key.keystore -storepass android bin\hello-gpcp-unsigned.apk alias_name
@IF EXIST bin\hello-gpcp.apk DEL bin\hello-gpcp.apk
@MOVE bin\hello-gpcp-unsigned.apk bin\hello-gpcp.apk

echo "zipalign"
zipalign -v 4 bin\hello-gpcp.apk bin\hello-gpcp1.apk

@DEL bin\hello-gpcp.apk
@MOVE bin\hello-gpcp1.apk bin\hello-gpcp.apk

echo "adb install"
::adb install -r bin\hello-gpcp.apk
adb install -r %CD%\bin\hello-gpcp.apk
PAUSE