@ECHO OFF
SET ANDROIDJAR="/opt/android-sdk-linux_x86/platforms/android-13/android.jar"
::SET MIRAHC=/opt/mirah/bin/mirahc

mkdir -p bin/classes
mkdir -p gen 
echo "aapt"
aapt package -f -M AndroidManifest.xml -I %ANDROIDJAR% -S res -F \ 
    bin/hello-mirah.res -m -J gen || exit 1 


PAUSE

 echo "javac R"
javac -sourcepath src -cp $ANDROIDJAR:bin/classes \ 
    gen/hello/mirah/R.java -d bin/classes || exit 1 
 echo "mirah" /opt/mirah/bin/mirahc -c $ANDROIDJAR:bin/classes -d bin/classes . || exit 1 
 echo "dx"
dx --dex --output=bin/classes.dex --verbose bin/classes || exit 1 
 echo "apkbuilder"
apkbuilder bin/hello-mirah-unsigned.apk -u -z bin/hello-mirah.res \ 
    -f bin/classes.dex || exit 1 
 echo "jarsigner"
jarsigner  -keystore ~/.android/debug.keystore -storepass android \ 
    -signedjar bin/hello-mirah.apk bin/hello-mirah-unsigned.apk androiddebugkey \ 
    || exit 1 
 echo "adb install"
adb install -r bin/hello-mirah.apk
